Bug 505763 - preupgrade backtrace, yum throws IndexError
preupgrade backtrace, yum throws IndexError
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 11:50 EDT by Matt Domsch
Modified: 2014-01-21 18:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-13 13:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2009-06-13 11:50:54 EDT
Description of problem:
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 766, in <module>
    widgets = PreUpgradeGtk()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 374, in __init__
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 257, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 545, in main_preupgrade
    callback=MDGenCallback(pbar=self.progress))
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 651, in generate_repo
    misc.generate_repodata(dir,comps,callback)
  File "/usr/lib/python2.5/site-packages/preupgrade/misc.py", line 131, in generate_repodata
    generate_repodata(dir, comps, callback)
  File "/usr/lib/python2.5/site-packages/preupgrade/misc.py", line 147, in generate_repodata_f9
    mdgen.doPkgMetadata()
  File "/usr/lib/python2.5/site-packages/createrepo/__init__.py", line 332, in doPkgMetadata
    self.writeMetadataDocs(packages)
  File "/usr/lib/python2.5/site-packages/createrepo/__init__.py", line 472, in writeMetadataDocs
    self.primaryfile.write(po.xml_dump_primary_metadata())
  File "/usr/lib/python2.5/site-packages/yum/packages.py", line 1014, in xml_dump_primary_metadata
    msg += misc.to_unicode(self._dump_base_items())
  File "/usr/lib/python2.5/site-packages/yum/packages.py", line 847, in _dump_base_items
    (csum_type, csum, csumid) = self.checksums[0]
IndexError: list index out of range


Version-Release number of selected component (if applicable):
createrepo-0.9.6-3.fc10.noarch
yum-utils-1.1.19-1.fc10.noarch
anaconda-yum-plugins-1.0-3.fc10.noarch
yum-3.2.23-3.fc10.noarch
preupgrade-1.1.0-1.fc10.noarch
Comment 1 seth vidal 2009-06-13 13:11:54 EDT
update createrepo to the latest in f10 updates.

then the problem will go away.

Note You need to log in before you can comment on or make changes to this bug.